%define upstream_name    Text-Format
%define upstream_version 0.63

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Various subroutines to format text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A powerful text formatter for Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.630.0-2.mga10
+ Revision: 2227579
- Mageia 10 Mass Rebuild

* Thu Sep 12 2024 tv <tv> 0.630.0-1.mga10
+ Revision: 2095247
- update to 0.63

* Mon Mar 21 2022 umeabot <umeabot> 0.620.0-2.mga9
+ Revision: 1813410
- Mageia 9 Mass Rebuild

* Sat Oct 17 2020 tv <tv> 0.620.0-1.mga8
+ Revision: 1636468
- update to 0.62

* Wed Feb 12 2020 umeabot <umeabot> 0.610.0-3.mga8
+ Revision: 1506706
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.610.0-2.mga7
+ Revision: 1286968
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 0.610.0-1.mga7
+ Revision: 1231571
- update to 0.61

* Sun Jul 23 2017 shlomif <shlomif> 0.600.0-1.mga7
+ Revision: 1128976
- update to 0.60

* Sun Jun 19 2016 pterjan <pterjan> 0.590.0-6.mga6
+ Revision: 1034917
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.590.0-5.mga6
+ Revision: 948893
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.590.0-4.mga5
+ Revision: 788542
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.590.0-3.mga5
+ Revision: 743194
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.590.0-2.mga5
+ Revision: 686622
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.590.0-1.mga5
+ Revision: 581352
- update to 0.59

* Fri Oct 18 2013 umeabot <umeabot> 0.580.0-3.mga4
+ Revision: 515532
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 374061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 289255
- update to 0.58

* Tue Jun 05 2012 jquelin <jquelin> 0.560.0-1.mga3
+ Revision: 255807
- update to 0.56

* Fri Dec 16 2011 shlomif <shlomif> 0.530.0-3.mga2
+ Revision: 182829
- Remove trailing dot from the summary
- Changed the description and summary
- imported package perl-Text-Format


* Wed Jul 20 2011 cpan2dist 0.53-1mga
- initial mageia release, generated with cpan2dist
